Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#62688 - [elisa] make vlc optional

Attached to Project: Community Packages
Opened by Alois Nespor (anespor) - Tuesday, 21 May 2019, 08:28 GMT
Last edited by Antonio Rojas (arojas) - Tuesday, 21 May 2019, 09:02 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To No-one
Architecture All
Severity Very Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Description:
elisa not need vlc as 'hard' dependency, vlc is only recommended package. Is possible make vlc optional? Elisa works very well on KDE with phonon-gstreamer too same as with Qt5. Thanks!

Additional info:
elisa-0.4.0
This task depends upon

Closed by  Antonio Rojas (arojas)
Tuesday, 21 May 2019, 09:02 GMT
Reason for closing:  Fixed
Additional comments about closing:  elisa 0.4.0-2
Comment by Stoyan Minaev (jedi2light) - Tuesday, 21 May 2019, 08:37 GMT
I also can provide patched PKGBUILD
   PKGBUILD (0.9 KiB)
Comment by Antonio Rojas (arojas) - Tuesday, 21 May 2019, 09:01 GMT
No, it's not possible to make it optional - it's either in or out. There is a misleading cmake message that made me think that vlc was required for playback, but indeed it's not.

Loading...